﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Xml.Linq;
using Infragistics.Controls.Lists;
using SampleData;

namespace XamGridInXamTileView
{
    public partial class MainPage : UserControl
    {
        XamGrid myGrid;

        public MainPage()
        {
            InitializeComponent();
        }

        private void LoadXmlData()
        {
            XDocument doc = XDocument.Load("CategoriesAndProducts.xml");
            var categories = (from el in doc.Element("Categories").Elements()
                                         select GetCategory(el)).ToList();

            if (myGrid != null)
                myGrid.ItemsSource = categories;
        }

        private object GetCategory(XElement el)
        {
            Category c = new Category();
            c.CategoryID = int.Parse(el.Attribute("CategoryID").Value);
            c.CategoryName = el.Attribute("CategoryName").Value;
            c.Description = el.Attribute("Description").Value;

            return c;
        }

        private void tpGridPane_Loaded(object sender, RoutedEventArgs e)
        {
            //TilePane gridPane = xamTileView1.FindName("tpGridPane") as TilePane;
            //if (gridPane != null)
            //{
            //    myGrid = gridPane.FindName("xamGrid1") as XamGrid;
            //    if (myGrid != null)
            //        LoadXmlData();
            //}
        }

        private void xamGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            myGrid = (XamGrid)sender;
            LoadXmlData();
        }
    }
}
